> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/organisations/{orgId}/groups

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/organisations/{orgId}/groups
```

where `{orgId}` is the ID of an organization.

## Supported methods and overview&#x20;

* `POST` - used to add a new [group](/3.2/admin-org/managing-groups.md) to an organization.
* `GET` - used to retrieve a list of information for all groups defined within an organization.

## Detailed description&#x20;

This API endpoint serves a number of purposes:

* Adds a new group to an organization. \

  **Notes:**

  * To add one or more [Covata users](/3.2/admin-org/administering-users-within-an-organisation.md) to a group, see [\<access-service>/api/v1/organisations/\{orgId}/groups/\{groupId}](/3.2/api/access-service-api-v1-organisations-orgid-groups-groupid.md). Also see [\<access-service>/api/v1/organisations/\{orgId}/labels](/3.2/api/access-service-api-v1-organisations-orgid-labels.md) for more information about adding new [classifications](/3.2/admin-org/managing-classifications.md) to an organization.
  * To associate this group with one or more classifications, which would then allow these classifications to restrict file sharing to any Covata users who are members of this group, see [\<access-service>/api/v1/organisations/\{orgId}/groups/\{groupId}](/3.2/api/access-service-api-v1-organisations-orgid-groups-groupid.md).
* Retrieves a list of information for all groups in an organization.

## Supported roles&#x20;

This API endpoint supports requests utilizing Covata user accounts with the following [roles](/3.2/admin-org/administering-users-within-an-organisation.md#an-organisation-users-roles) (as described in the [Organization Administrator's Guide](/3.2/admin-org.md)) and conditions:

* [Organization administrator](/3.2/admin-org/administering-users-within-an-organisation.md#organisation-administrator-role) - if this user is a member of the organization specified by the `{orgId}` of the request's URL.

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/3.2/api/access-service-api-v1-organisations-orgid-groups.md#access-service-api-v1-organisations-orgid-groups-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

The following header is required if the body of the request has a JSON object:

* `Content-Type: application/json`

## Required parameters on POST&#x20;

The following required parameter must be sent in the body of the POST request, as an individual member of a JSON object:

* **name** - .

  **Example ():**

## Optional parameters on POST&#x20;

The following optional parameter can also be sent in the body of the POST request, as an individual member of the JSON object that includes the [Required parameters on POST](/3.2/api/access-service-api-v1-organisations-orgid-groups.md#access-service-api-v1-organisations-orgid-groups-required-parameters) above:

* **description** - .

  **Example ():**

## Optional parameters on GET&#x20;

The following optional parameters can be sent in the URL of the GET request:

* **limit** - 0 to 100 (default is 0).
* **offset** - default is 0.
* **orderBy** - `ASC` or `DESC` (default is `ASC`).
* **sortBy** - .

  **Example ():**

## Returns from a POST request&#x20;

A JSON-formatted response containing the following members:

* **id** - .
* **name** - .
* **description** - .

  **Example (response from ...):**

## Returns from a GET request&#x20;

A JSON-formatted response containing the following members:

* **items** - .

  * **id** - .
  * **name** - .
  * **labelCount** - .
  * **memberCount** - .
* **count** - .
* **offset** - .

  **Example (response from ...):**


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.